data:extend(
{
	
	-- Drillhead
	{
		type = "recipe",
		name = "y_drillhead_recipe",		
		enabled = "true", energy_required = 8, ingredients = {{"y_structure_element", 5},{"y_structure_vessel", 3},}, result = "y_drillhead", result_count = 1, subgroup = "y-parts", 	
	},	
	{
		type = "recipe",
		name = "y_drillhead_repair_recipe",		
		enabled = "true", energy_required = 1.5, 
		ingredients = {
			{"y_drillhead_broken", 1},
			{"y-repair-durotal", 1},
			{"y-bluegear", 1},
		}, 
		results = {
			{type="item",name="y_drillhead",amount=1},
			{type="item",name="y-repair-durotal",amount=1},
			{type="item",name="y_rwtechsign",amount=1},
		}, 
		main_product = "y_drillhead",						
		subgroup = "y_line2", category = "yuoki-repair-recipe",		
		icon = "__Yuoki__/graphics/icons/repair.png",
	},	
	{
		type = "item",
		name = "y_drillhead",
		icon = "__Yuoki__/graphics/icons/icon-5e.png",
		flags = {"goes-to-main-inventory"},
		stack_size = 50, default_request_amount = 10,
		group = "yuoki", subgroup = "yuoki-formpress",					
	},
	{
		type = "item",
		name = "y_drillhead_broken",
		icon = "__Yuoki__/graphics/icons/icon-5c.png",
		flags = {"goes-to-main-inventory"},
		stack_size = 50, default_request_amount = 10,
		group = "yuoki", subgroup = "yuoki-formpress",					
	},
		
	-- Toolhead	
	{
		type = "recipe",
		name = "y_toolhead_recipe",		
		enabled = "true", energy_required = 8, ingredients = {{"y_structure_element", 5},{"y_structure_vessel", 3},}, result = "y_toolhead", result_count = 1, subgroup = "y-parts", 	
	},	
	{
		type = "recipe",
		name = "y_toolhead_repair_recipe",		
		enabled = "true", energy_required = 1.5, 
		ingredients = {
			{"y_toolhead_broken", 1},
			{"y-repair-krakon", 1},
			{"stone-brick", 1},
		}, 
		results = {
			{type="item",name="y_toolhead",amount=1},
			{type="item",name="y-repair-krakon",amount=1},
			{type="item",name="y_rwtechsign",amount=1},
		}, 
		main_product = "y_toolhead",						
		subgroup = "y_line2", category = "yuoki-repair-recipe",		
		icon = "__Yuoki__/graphics/icons/repair.png",
	},	
	{
		type = "item",
		name = "y_toolhead",
		icon = "__Yuoki__/graphics/icons/toolhead.png",
		flags = {"goes-to-main-inventory"},
		stack_size = 75, default_request_amount = 10,
		group = "yuoki", subgroup = "yuoki-formpress",					
	},
	{
		type = "item",
		name = "y_toolhead_broken",
		icon = "__Yuoki__/graphics/icons/toolhead_broken.png",
		flags = {"goes-to-main-inventory"},
		stack_size = 75, default_request_amount = 10,
		group = "yuoki", subgroup = "yuoki-formpress",					
	},
		
	{
		type = "recipe",
		name = "y-digfdirt-recipe",		
		enabled = "true", energy_required = 4, ingredients = {}, result = "y-dirt", result_count = 1, subgroup = "y_line3", category="yuoki-raw-material-recipe",		
	},	

	{
		type = "recipe",
		name = "y-digfdirt2-recipe",		
		enabled = "true", energy_required = 4, ingredients = {{"y_drillhead", 1},}, results = {{type="item",name="y-dirt",amount=5},{type="item",name="y_drillhead_broken",amount=1}}, subgroup = "y_line3", category="yuoki-raw-material-recipe",		
		icon = "__Yuoki__/graphics/icons/dirt_whead.png",
	},	
		
			
	-- washings
	{
		type = "recipe",		
		name = "y-wash-dirt-recipe",
		category = "yuoki-archaeology-wash",
		energy_required = 6,
		ingredients = {
			{"y-dirt", 7},			
			{type="fluid", name="water", amount=70},
		},
		results=
		{
			{type="item", name="stone", amount=3, },      	  			
			{type="item", name="y-crystal2", amount=1, },      	
			{type="fluid", name="y-con_water", amount=60, }
		},
		enabled = "true",		
		icon = "__Yuoki__/graphics/icons/alien-crystal.png",
		order = "m-refined-rare3",
		subgroup = "y_line4",
	},
			
	{
		type = "recipe",
		name = "y-wash-special-recipe",
		category = "yuoki-archaeology-wash", enabled = "true", energy_required = 6.0, 
		ingredients = {{"y-dirt", 8},{type="fluid", name="water", amount=120},}, 		
		results={ {type="item", name="y-c_mud", amount=10, },},
		icon = "__Yuoki__/graphics/icons/c_mud_icon.png",
		subgroup = "y_line3", order="m-refined-",
	},	

	
})